{
  "compilerOptions": {
    "moduleResolution": "node",
    "target": "esnext",
    "module": "commonjs",
    "lib": ["es2015", "es2016", "es2017", "es2018.asynciterable", "dom"],
    "strict": false,
    "declaration": true,
    "declarationMap": true,
    "inlineSourceMap": true,
    "inlineSources": true,
    "allowSyntheticDefaultImports": true,
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "declarationDir": "./dist",
    "outDir": "./dist",
    "typeRoots": ["node_modules/@types"],
    "rootDir": "./src",

    "strictNullChecks": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "alwaysStrict": true
  },
  "exclude": ["node_modules", "dist"]
}
